//
//  MyApplication.h
//  Timesheet
//
//  Created by Luke Gladding on 30/09/06.
//  Copyright 2006 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "Class.h"

@interface MyApplication : NSObject {
	NSApplication *					application;
	NSDocumentController *			documentController;
	
	MyPreferences *					preferences;

	IBOutlet NSWindow *				licenseWindow;
	IBOutlet NSTextView *			licenseTextView;
	IBOutlet NSButton *				agreeButton;
	IBOutlet NSButton *				disagreeButton;
}

// Preferences
- (IBAction)showPreferences:(id)sender;

// Export
- (IBAction)exportXMLType:(id)sender;

// Toolbar
- (IBAction)toggleToolbarShown:(id)sender;
- (IBAction)runCustomizationPalette:(id)sender;

// View Menu
- (IBAction)showTimesheet:(id)sender;
- (IBAction)showTasks:(id)sender;
- (IBAction)showInvoices:(id)sender;
- (IBAction)showPersons:(id)sender;
- (IBAction)toggleInfo:(id)sender;

// License
- (IBAction)agree:(id)sender;
- (IBAction)disagree:(id)sender;

// Site
- (IBAction)visitWebsite:(id)sender;

@end
